httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brian Dessent <br...@dessent.net>
Subject Re: [users@httpd] LoadModule Error in Apache-2.0.47
Date Mon, 13 Oct 2003 17:58:06 GMT
rangareddym wrote:

> I need your precious help on configuring apache with third party
> modules.
>
> I have third party DSO file written for Apache-1.3.28 version. I want
> to Upgrade Http server to Apache-2.0.47.
> 
> LoadModule is causing
> 
> Error ap_alloc:Symbol not found.
> 
> I think I have to recompile my third party module with
> Apache-2.0.47.Does I need to change an API calls or library references
> in My DSO module code.
> 
> Please let me know  the major changes I need to do for recompiling my
> module code?

I don't know for certain but I'm pretty sure you can't just recompile a
module designed for 1.x -> 2.x.  The underlying API is completely
different and the module has to be rewritten or ported.  I don't know
any details of this, though.

Brian

---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message